Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » [XPand/workflow] Error
[XPand/workflow] Error [message #516078] Mon, 22 February 2010 17:18 Go to next message
MJ  is currently offline MJ Friend
Messages: 16
Registered: August 2009
Junior Member
Hi everyone,

I've got a question regarding workflow execution.

I didn't know if I shall put this thread in the m2t subforums, but since I'm a newcomer, I decided to post it here.

My question is pretty simple,

when executing my workflow file, I'm getting this error:

Exception in thread "main" java.lang.NoSuchFieldError: ruleMemo
at org.eclipse.internal.xpand2.parser.XpandParser.<init>(XpandParser.java:44)
at org.eclipse.internal.xpand2.parser.XpandParser.<init>(XpandParser.java:55)
at org.eclipse.internal.xpand2.parser.XpandLocationAddingParser . <init>(XpandLocationAddingParser.java:30)
at org.eclipse.internal.xpand2.parser.XpandParseFacade$2.<init >(XpandParseFacade.java:63)
at org.eclipse.internal.xpand2.parser.XpandParseFacade.getParse r(XpandParseFacade.java:63)
at org.eclipse.internal.xpand2.parser.XpandParseFacade.file(Xpa ndParseFacade.java:44)
at org.eclipse.internal.xpand2.parser.XpandParseFacade.file(Xpa ndParseFacade.java:31)
at org.eclipse.xpand2.Generator.getStatement(Generator.java:458 )
at org.eclipse.xpand2.Generator.checkConfigurationInternal(Gene rator.java:498)
at org.eclipse.emf.mwe.core.lib.AbstractWorkflowComponent2.chec kConfiguration(AbstractWorkflowComponent2.java:21)
at org.eclipse.emf.mwe.core.container.CompositeComponent.checkC onfiguration(CompositeComponent.java:139)
at org.eclipse.emf.mwe.core.WorkflowRunner.prepare(WorkflowRunn er.java:345)
at org.eclipse.emf.mwe.core.WorkflowRunner.run(WorkflowRunner.j ava:289)
at org.eclipse.emf.mwe.core.WorkflowRunner.main(WorkflowRunner. java:239)

Before this error I had some other error regarding something like antlr.

I came across this page:
http://www.ibm.com/developerworks/forums/thread.jspa?message ID=14157934&tstart=0

There I had to put several .jar files into my java classpath.
I think its "C:\Program Files\Java\jre6\lib\ext", right?

After this, I got the error shown above and now I've no clue what to do. I'm not familiar with such kind of errors, so maybe someone could enlighten me in any way. I'll appreciate any kind of information.

Cheers and regards
Michael

[Updated on: Mon, 22 February 2010 17:20]

Report message to a moderator

Re: [XPand/workflow] Error [message #516084 is a reply to message #516078] Mon, 22 February 2010 17:43 Go to previous messageGo to next message
Gerald Rosenberg is currently offline Gerald RosenbergFriend
Messages: 104
Registered: July 2009
Senior Member
MWE appears to depend on the XText plugin for the antlr runtime, etc. based on some implicit
classpath resolution.

The error indicates that some newer version of antlr is now being found on the classpath.

Best/direct fix is to explicitly add the "org.antlr.gen" and "de.itemis.xtext.antlr" plugins to
your MWE project plugin's list of dependencies.

IMO, adding anything to the ./ext directory is to be avoided at all cost.

In article <hluea0$tnm$1@build.eclipse.org>, mjaeger6@cc.hs-owl.de says...
>
> Hi everyone,
>
> I've got a question regarding workflow execution.
>
> I didn't know if I shall put this thread in the m2t subforums, but since I'm a newcomer, I decided to post it here.
>
> My question is pretty simple,
>
> when executing my workflow file, I'm getting this error:
>
> Exception in thread "main" java.lang.NoSuchFieldError: ruleMemo
> at org.eclipse.internal.xpand2.parser.XpandParser.<init>(XpandParser.java:44)
> at org.eclipse.internal.xpand2.parser.XpandParser.<init>(XpandParser.java:55)
> at org.eclipse.internal.xpand2.parser.XpandLocationAddingParser . <init>(XpandLocationAddingParser.java:30)
> at org.eclipse.internal.xpand2.parser.XpandParseFacade$2.<init >(XpandParseFacade.java:63)
> at org.eclipse.internal.xpand2.parser.XpandParseFacade.getParse r(XpandParseFacade.java:63)
> at org.eclipse.internal.xpand2.parser.XpandParseFacade.file(Xpa ndParseFacade.java:44)
> at org.eclipse.internal.xpand2.parser.XpandParseFacade.file(Xpa ndParseFacade.java:31)
> at org.eclipse.xpand2.Generator.getStatement(Generator.java:458 )
> at org.eclipse.xpand2.Generator.checkConfigurationInternal(Gene rator.java:498)
> at org.eclipse.emf.mwe.core.lib.AbstractWorkflowComponent2.chec kConfiguration(AbstractWorkflowComponent2.java:21)
> at org.eclipse.emf.mwe.core.container.CompositeComponent.checkC onfiguration(CompositeComponent.java:139)
> at org.eclipse.emf.mwe.core.WorkflowRunner.prepare(WorkflowRunn er.java:345)
> at org.eclipse.emf.mwe.core.WorkflowRunner.run(WorkflowRunner.j ava:289)
> at org.eclipse.emf.mwe.core.WorkflowRunner.main(WorkflowRunner. java:239)
>
> Before this error I had some other error regarding something like antlr.
>
> I came across this page:
> http://www.ibm.com/developerworks/forums/thread.jspa?message ID=14157934&tstart=0
>
> There I had to put several .jar files into my java classpath.
> I think its "C:\Program Files\Java\jre6\lib\ext", right?
>
> After this, I got the error shown obove and now I've no clue what to do. I'm not familiar with such kind of errors, so maybe someone could enlighten me in any way. I'll appreciate any kind of information.
>
> Cheers and regards
> Michael
Re: [XPand/workflow] Error [message #516117 is a reply to message #516078] Mon, 22 February 2010 19:21 Go to previous messageGo to next message
MJ  is currently offline MJ Friend
Messages: 16
Registered: August 2009
Junior Member
Hello Gerald,

thank you for your answer.

When adding plugins in the dependencie view, I can only chose
org.antlr.runtime (diverse versions)

and not the mentioned
"org.antlr.gen" and "de.itemis.xtext.antlr".

Do I have to "instal" something?
Re: [XPand/workflow] Error [message #516165 is a reply to message #516117] Mon, 22 February 2010 23:08 Go to previous messageGo to next message
Gerald Rosenberg is currently offline Gerald RosenbergFriend
Messages: 104
Registered: July 2009
Senior Member
In article <hlulf9$5mn$1@build.eclipse.org>, mjaeger6@cc.hs-owl.de
says...
>
> Hello Gerald,
>
> thank you for your answer.
>
> When adding plugins in the dependencie view, I can only chose
> org.antlr.runtime (diverse versions)
>
> and not the mentioned
> "org.antlr.gen" and "de.itemis.xtext.antlr".
>
> Do I have to "instal" something?

They are installed with the XText bundle.
Re: [XPand/workflow] Error [message #516257 is a reply to message #516078] Tue, 23 February 2010 11:57 Go to previous messageGo to next message
MJ  is currently offline MJ Friend
Messages: 16
Registered: August 2009
Junior Member
I think I couldn't find the right things.

On the pictures you can see

what my xtext update link is:
http://img710.imageshack.us/img710/9206/eclipseavailablesoft war.jpg

which xtext plugins I already installed:
http://img215.imageshack.us/img215/461/eclipseinstalledplugi ns.jpg

and which plugins I can chose from in the dependencies tab:
http://img294.imageshack.us/img294/3743/eclipseantlr.jpg

I was searching for org.antlr.gen in the web and I found the following link.
http://code.google.com/p/tmf-xtext-additions/source/detail?r =2

I tried to insert this link as an update site: https://tmf-xtext-additions.googlecode.com/svn
but I have to insert a username and a password, but it seems I'm completly searching in the wrong direction.

Sorry for bothering you with this, but what did I miss?
Re: [XPand/workflow] Error [message #516313 is a reply to message #516257] Tue, 23 February 2010 10:18 Go to previous messageGo to next message
Gerald Rosenberg is currently offline Gerald RosenbergFriend
Messages: 104
Registered: July 2009
Senior Member
In article <hm0frj$d6u$1@build.eclipse.org>, mjaeger6@cc.hs-owl.de says...
>
> I think I couldn't find the right things.
>
> On the pictures you can see
>
> what my xtext update link is:
> http://img710.imageshack.us/img710/9206/eclipseavailablesoft war.jpg
>
> which xtext plugins I already installed:
> http://img215.imageshack.us/img215/461/eclipseinstalledplugi ns.jpg
>
> and which plugins I can chose from in the dependencies tab:
> http://img294.imageshack.us/img294/3743/eclipseantlr.jpg
>
> I was searching for org.antlr.gen in the web and I found the following link.
> http://code.google.com/p/tmf-xtext-additions/source/detail?r =2
>
> I tried to insert this link as an update site: https://tmf-xtext-additions.googlecode.com/svn
> but I have to insert a username and a password, but it seems I'm completly searching in the wrong direction.
>
> Sorry for bothering you with this, but what did I miss?

http://www.eclipse.org/Xtext/download/
Re: [XPand/workflow] Error [message #516373 is a reply to message #516078] Tue, 23 February 2010 18:59 Go to previous message
MJ  is currently offline MJ Friend
Messages: 16
Registered: August 2009
Junior Member
It works!

Thank you very much Gerald.

I got some other errors, but it's because of my workflow and template file.

You really helped me !!
Thank you for your time!

[Updated on: Tue, 23 February 2010 19:11]

Report message to a moderator

Previous Topic:Best place to begin
Next Topic:eclipse for php developers
Goto Forum:
  


Current Time: Sun Dec 21 23:21:44 GMT 2014

Powered by FUDForum. Page generated in 0.02545 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software